%define	name	speex
%define	major	1
%define	libname	 %mklibname %name %major
%define version 1.1.10
%define release 2mdk

Summary:	An open-source, patent-free speech codec
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Sound
Source0:	http://downloads.us.xiph.org/releases/speex/%{name}-%{version}.tar.bz2
Patch1:		speex-1.1.6-fix-pkgconfig-path.patch.bz2
URL:		http://www.speex.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	oggvorbis-devel
#gw if patched
BuildRequires:	autoconf2.5

%description
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%package -n	%{libname}
Summary:	Shared library of the Speex codec
Group:		System/Libraries

%description -n	%{libname}
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

This package contains the shared library required for running
applications based on Speex.

%package -n	%{libname}-devel
Summary:	Speex development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
Speex development files.

%package -n	%{libname}-static-devel
Summary:	Speex static library 
Group:		Development/C
Requires:	%{libname}-devel = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n %{libname}-static-devel
Speex static library for developing applications based on Speex.

%prep
%setup -q
%patch1 -p1 -b .pkgconfig
autoconf

%build
export CFLAGS='%optflags -DRELEASE'
%if %mdkversion <= 1000
%define __libtoolize true
%endif
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/manual.pdf

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING AUTHORS ChangeLog NEWS README
%{_mandir}/man1/speexenc.1*
%{_mandir}/man1/speexdec.1*
%attr(755,root,root) %{_bindir}/speex*

%files -n %{libname}
%attr(755,root,root) %{_libdir}/libspeex*.so.*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%doc doc/manual.pdf
%{_libdir}/libspeex*.la
%{_libdir}/libspeex*.so
%{_includedir}/speex
%{_libdir}/pkgconfig/speex.pc
%{_datadir}/aclocal/speex.m4

%files -n %{libname}-static-devel
%defattr(644,root,root,755)
%{_libdir}/libspeex*.a

%changelog
* Mon Aug  8 2005 Gtz Waschk <waschk@mandriva.org> 1.1.10-2mdk
- remove mdkversion macro

* Fri Jun 24 2005 Gtz Waschk <waschk@mandriva.org> 1.1.10-1mdk
- new source URL
- New release 1.1.10

* Sun Jun 12 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9-1mdk
- New release 1.1.9

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8-1mdk
- New release 1.1.8

* Thu Mar 03 2005 Götz Waschk <waschk@linux-mandrake.com> 1.1.7-1mdk
- New release 1.1.7

* Wed Jan 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.6-2mdk
- fix path to headers for pkgconfig (P1)
- add provides
- cosmetics

* Fri Jul 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- update file list
- reenable libtoolize
- rediff patch 0
- New release 1.1.6

* Thu Apr 22 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- make it rpmbuildupdate compatible
- New release 1.1.5

* Thu Jan 22 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.4-1mdk
- don't run libtoolize
- fix buildrequires
- use the autoconf2.5 macro
- new version

* Fri Jan  2 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.3-1mdk
- use the mdkversion macro
- new version

* Tue Nov 11 2003 Götz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- new version

* Tue Nov  4 2003 Götz Waschk <waschk@linux-mandrake.com> 1.1-1mdk
- drop merged patch 1
- new version

* Fri Sep  5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-5mdk
- lib64 & 64-bit fixes

* Sat Aug  2 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-4mdk
- fix my previous package 

* Sat Aug  2 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-3mdk
- allow backport to mdk 9.0

* Wed Jul  9 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- rebuild for new rpm

* Thu Jun  5 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- new version

* Mon Mar 24 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- new major version
- drop the patch
- new version

* Mon Mar  3 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0-0.rc3.1mdkk
- new version

* Wed Jan 29 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0-0.rc2.2mdkk
- remove obsolete configure options
- move manual to devel package

* Wed Jan 29 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0-0.%{pre}.1mdkk
- buildrequires libogg-devel

* Wed Jan 29 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0-0.rc2.1mdkk
- new version

* Fri Jan 17 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0-0.rc1.1mdk
- new version

* Sat Dec 21 2002 Götz Waschk <waschk@linux-mandrake.com> 1.0-0.beta4.1mdk
- new version

* Thu Dec 12 2002 Götz Waschk <waschk@linux-mandrake.com> 1.0-0.beta3.1mdk
- initial Mandrake package

* Thu Oct 03 2002 Jean-Marc Valin 
- Added devel package inspired from PLD spec file

* Tue Jul 30 2002 Fredrik Rambris <boost@users.sourceforge.net> 0.5.2
- Added buildroot and docdir and ldconfig. Makes it builadble by non-roots
  and also doesn't write to actual library paths when building.
